<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yonge.cooleshow.biz.dal.mapper.CouponInventoryMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.yonge.cooleshow.biz.dal.entity.CouponInventory">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="coupon_id_" property="couponId" />
        <result column="data_type_" property="dataType" />
        <result column="number_" property="number" />
        <result column="remark_" property="remark" />
        <result column="status_" property="status" />
        <result column="created_time_" property="createdTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, coupon_id_, data_type_, number_, remark_, status_, created_time_
    </sql>

</mapper>
